public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2016-02-14 11:04 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2016-02-14 11:04 UTC (permalink / raw
  To: gentoo-commits

commit:     b3aee95f2d4b852df5ef1cc7c7c734b9370d5b27
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 14 11:02:10 2016 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Sun Feb 14 11:02:10 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b3aee95f

dev-lang/qu-prolog: version bump

Package-Manager: portage-2.2.26

 dev-lang/qu-prolog/Manifest             |  1 +
 dev-lang/qu-prolog/qu-prolog-9.6.ebuild | 91 +++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index 66dca89..ef9cc43 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -1,2 +1,3 @@
 DIST qp9.1.tar.gz 1460679 SHA256 1f3052f2700d537b33207943a3ade48b2b3aa5cd01cafc0475bcf26c645bc9af SHA512 44590be9d1ecec97fa6c82b657e9ecc3778f833644055ee87c9a6a36996663d139ffd7b583d72f8ac317648e0f22ccbc2a1da9c3a5eabd23381c668e5d073cbb WHIRLPOOL 37ec4e25c2284b267f72c016b4ea1e542d735c9da5f6532d1f6b439af2b91422ddc251d31e1a17b6366ee6af0e754acdbf8a0c44ef03f46a2515f14b1259b732
 DIST qp9.5.tar.gz 1537445 SHA256 7e4b9883fad00b16c919620033da48482b2eccc875b37f8170d674ce9f72aee2 SHA512 7a79090a6e3f0263e38cf5e5724a5c35c63c8cca2842fa8c07f9ff84011ef7ac9a22b195713aeb626a787c9391c612f3fea0ff38c084634a2f62258feb3eb6e2 WHIRLPOOL 3f589998f3480925fa3ad3c54f1f0ba4122cfa12c48d9bf1269e92a0fdf52d1823cd8dae8851e36d2c97ec2f869da10ff6ee7f2663b752d1d396e1b5a95ca982
+DIST qp9.6.tar.gz 1539483 SHA256 631ab73af271279d583c5ecf19e5542dd8dff097179e3bb34ac2624aeb029f7a SHA512 a15d3f2254d9ed9a2032f7e2902363f2ed2dbf0a7ba67a89aae79202d38954a195e93725aa828d19d50d7a891d8cea4f0d23af66ffd55984738db9b612467cd8 WHIRLPOOL 3dcc746da3283044267abd7aa00795b1bff79bffd206c1bf227087281d94f2dc4a390a5ccd85933641aea150313b2f62e0e9fbe491ef4fafa73e4fdd9b35d7d1

diff --git a/dev-lang/qu-prolog/qu-prolog-9.6.ebuild b/dev-lang/qu-prolog/qu-prolog-9.6.ebuild
new file mode 100644
index 0000000..057bf8d
--- /dev/null
+++ b/dev-lang/qu-prolog/qu-prolog-9.6.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib qmake-utils
+
+MY_P=qp${PV}
+
+DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
+HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
+SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+
+LICENSE="Qu-Prolog GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc examples pedro qt4 readline threads"
+
+RDEPEND="
+	!dev-util/mpatch
+	!dev-util/rej
+	qt4? ( dev-qt/qtgui:4 )
+	pedro? ( net-misc/pedro )
+	readline? ( app-misc/rlwrap )"
+DEPEND="${RDEPEND}
+	dev-lang/perl"
+
+S="${WORKDIR}"/${MY_P}
+
+src_configure() {
+	econf \
+		--libdir=/usr/$(get_libdir) \
+		$(use_enable debug) \
+		$(use_enable threads multiple-threads)
+
+	if use qt4; then
+		cd "${S}"/src/xqp || die
+		eqmake4 xqp.pro
+	fi
+}
+
+src_compile() {
+	emake OPTIMISATION="${CXXFLAGS}"
+
+	if use qt4; then
+		cd "${S}"/src/xqp || die
+		emake
+	fi
+}
+
+src_install() {
+	sed \
+		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
+		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
+
+	dobin bin/{qc,qecat,qp,kq}
+
+	into /usr/$(get_libdir)/${PN}
+	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
+
+	use qt4 && dobin src/xqp/xqp
+
+	insinto /usr/$(get_libdir)/${PN}/bin
+	doins bin/rl_commands
+	doins bin/{qc1.qup,qecat,qg,qp}.qx
+
+	insinto /usr/$(get_libdir)/${PN}/library
+	doins prolog/library/*.qo
+
+	insinto /usr/$(get_libdir)/${PN}/compiler
+	doins prolog/compiler/*.qo
+
+	doman doc/man/man1/*.1
+
+	dodoc README
+
+	if use doc ; then
+		docinto reference-manual
+		dodoc doc/manual/*.html
+		docinto user-guide
+		dodoc doc/user/main.pdf
+	fi
+
+	if use examples ; then
+		insinto /usr/share/doc/${PF}/examples
+		doins examples/*.ql
+		docinto examples
+		newdoc examples/README README.examples
+	fi
+}


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2016-02-15 18:05 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2016-02-15 18:05 UTC (permalink / raw
  To: gentoo-commits

commit:     4765bf514f1217a76533dfce878265681b709268
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Mon Feb 15 18:02:51 2016 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Mon Feb 15 18:03:54 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4765bf51

dev-lang/qu-prolog: version bump

Package-Manager: portage-2.2.26

 dev-lang/qu-prolog/Manifest             |  1 +
 dev-lang/qu-prolog/qu-prolog-9.7.ebuild | 91 +++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index ef9cc43..c7a3eef 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -1,3 +1,4 @@
 DIST qp9.1.tar.gz 1460679 SHA256 1f3052f2700d537b33207943a3ade48b2b3aa5cd01cafc0475bcf26c645bc9af SHA512 44590be9d1ecec97fa6c82b657e9ecc3778f833644055ee87c9a6a36996663d139ffd7b583d72f8ac317648e0f22ccbc2a1da9c3a5eabd23381c668e5d073cbb WHIRLPOOL 37ec4e25c2284b267f72c016b4ea1e542d735c9da5f6532d1f6b439af2b91422ddc251d31e1a17b6366ee6af0e754acdbf8a0c44ef03f46a2515f14b1259b732
 DIST qp9.5.tar.gz 1537445 SHA256 7e4b9883fad00b16c919620033da48482b2eccc875b37f8170d674ce9f72aee2 SHA512 7a79090a6e3f0263e38cf5e5724a5c35c63c8cca2842fa8c07f9ff84011ef7ac9a22b195713aeb626a787c9391c612f3fea0ff38c084634a2f62258feb3eb6e2 WHIRLPOOL 3f589998f3480925fa3ad3c54f1f0ba4122cfa12c48d9bf1269e92a0fdf52d1823cd8dae8851e36d2c97ec2f869da10ff6ee7f2663b752d1d396e1b5a95ca982
 DIST qp9.6.tar.gz 1539483 SHA256 631ab73af271279d583c5ecf19e5542dd8dff097179e3bb34ac2624aeb029f7a SHA512 a15d3f2254d9ed9a2032f7e2902363f2ed2dbf0a7ba67a89aae79202d38954a195e93725aa828d19d50d7a891d8cea4f0d23af66ffd55984738db9b612467cd8 WHIRLPOOL 3dcc746da3283044267abd7aa00795b1bff79bffd206c1bf227087281d94f2dc4a390a5ccd85933641aea150313b2f62e0e9fbe491ef4fafa73e4fdd9b35d7d1
+DIST qp9.7.tar.gz 1539804 SHA256 9b77c97e0cb981669cf27df0f68875ba44958e67cc82ac71a4f5d2665b96708b SHA512 20a7a00eab2ec489489f95d78eb4dc8edf71d99fae2f23807158ca78d0bbd1b66d03460f0e06f91ac4ecafd9aab2bbdd109368ba8d3cc2c8452e17c634035c19 WHIRLPOOL 20a790902848790cfedefc6434eda01bb4b0ed2cfdf26c7d1a7914cef9916d161fcd397001a7f5a0aadf2d710112446bd99103f161ef22ad7b3567b45b33ac6d

diff --git a/dev-lang/qu-prolog/qu-prolog-9.7.ebuild b/dev-lang/qu-prolog/qu-prolog-9.7.ebuild
new file mode 100644
index 0000000..057bf8d
--- /dev/null
+++ b/dev-lang/qu-prolog/qu-prolog-9.7.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib qmake-utils
+
+MY_P=qp${PV}
+
+DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
+HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
+SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+
+LICENSE="Qu-Prolog GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc examples pedro qt4 readline threads"
+
+RDEPEND="
+	!dev-util/mpatch
+	!dev-util/rej
+	qt4? ( dev-qt/qtgui:4 )
+	pedro? ( net-misc/pedro )
+	readline? ( app-misc/rlwrap )"
+DEPEND="${RDEPEND}
+	dev-lang/perl"
+
+S="${WORKDIR}"/${MY_P}
+
+src_configure() {
+	econf \
+		--libdir=/usr/$(get_libdir) \
+		$(use_enable debug) \
+		$(use_enable threads multiple-threads)
+
+	if use qt4; then
+		cd "${S}"/src/xqp || die
+		eqmake4 xqp.pro
+	fi
+}
+
+src_compile() {
+	emake OPTIMISATION="${CXXFLAGS}"
+
+	if use qt4; then
+		cd "${S}"/src/xqp || die
+		emake
+	fi
+}
+
+src_install() {
+	sed \
+		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
+		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
+
+	dobin bin/{qc,qecat,qp,kq}
+
+	into /usr/$(get_libdir)/${PN}
+	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
+
+	use qt4 && dobin src/xqp/xqp
+
+	insinto /usr/$(get_libdir)/${PN}/bin
+	doins bin/rl_commands
+	doins bin/{qc1.qup,qecat,qg,qp}.qx
+
+	insinto /usr/$(get_libdir)/${PN}/library
+	doins prolog/library/*.qo
+
+	insinto /usr/$(get_libdir)/${PN}/compiler
+	doins prolog/compiler/*.qo
+
+	doman doc/man/man1/*.1
+
+	dodoc README
+
+	if use doc ; then
+		docinto reference-manual
+		dodoc doc/manual/*.html
+		docinto user-guide
+		dodoc doc/user/main.pdf
+	fi
+
+	if use examples ; then
+		insinto /usr/share/doc/${PF}/examples
+		doins examples/*.ql
+		docinto examples
+		newdoc examples/README README.examples
+	fi
+}


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2016-10-03 11:50 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2016-10-03 11:50 UTC (permalink / raw
  To: gentoo-commits

commit:     170bbc9005edbb96eca6c455f8c6964ee5a86496
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Mon Oct  3 11:50:36 2016 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Mon Oct  3 11:50:36 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=170bbc90

dev-lang/qu-prolog: version bump

Package-Manager: portage-2.3.0

 dev-lang/qu-prolog/Manifest              |  1 +
 dev-lang/qu-prolog/qu-prolog-10.0.ebuild | 91 ++++++++++++++++++++++++++++++++
 2 files changed, 92 insertions(+)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index c7a3eef..e20903f 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -1,3 +1,4 @@
+DIST qp10.0.tar.gz 1521469 SHA256 f3968e0ea5f9da80475b8298cbac0c70d3684fb8e68ddc0961a2d8c739aa9f07 SHA512 491ef9cc01f0d34163d47163b3103dcbd52cc5672f64057b898c2d234384ac2e3b64b4e59a1795765ff92de4c97ebdb11a82d394213685c387e4dd7d598c5c60 WHIRLPOOL 675a46d6ce428456e1055b8192c84e488ea1b6a3715f9f3e267d9df0637e304982f933e6078e5912c025eceb02dc79c08bd6744d181269b210ff3233ce69fa37
 DIST qp9.1.tar.gz 1460679 SHA256 1f3052f2700d537b33207943a3ade48b2b3aa5cd01cafc0475bcf26c645bc9af SHA512 44590be9d1ecec97fa6c82b657e9ecc3778f833644055ee87c9a6a36996663d139ffd7b583d72f8ac317648e0f22ccbc2a1da9c3a5eabd23381c668e5d073cbb WHIRLPOOL 37ec4e25c2284b267f72c016b4ea1e542d735c9da5f6532d1f6b439af2b91422ddc251d31e1a17b6366ee6af0e754acdbf8a0c44ef03f46a2515f14b1259b732
 DIST qp9.5.tar.gz 1537445 SHA256 7e4b9883fad00b16c919620033da48482b2eccc875b37f8170d674ce9f72aee2 SHA512 7a79090a6e3f0263e38cf5e5724a5c35c63c8cca2842fa8c07f9ff84011ef7ac9a22b195713aeb626a787c9391c612f3fea0ff38c084634a2f62258feb3eb6e2 WHIRLPOOL 3f589998f3480925fa3ad3c54f1f0ba4122cfa12c48d9bf1269e92a0fdf52d1823cd8dae8851e36d2c97ec2f869da10ff6ee7f2663b752d1d396e1b5a95ca982
 DIST qp9.6.tar.gz 1539483 SHA256 631ab73af271279d583c5ecf19e5542dd8dff097179e3bb34ac2624aeb029f7a SHA512 a15d3f2254d9ed9a2032f7e2902363f2ed2dbf0a7ba67a89aae79202d38954a195e93725aa828d19d50d7a891d8cea4f0d23af66ffd55984738db9b612467cd8 WHIRLPOOL 3dcc746da3283044267abd7aa00795b1bff79bffd206c1bf227087281d94f2dc4a390a5ccd85933641aea150313b2f62e0e9fbe491ef4fafa73e4fdd9b35d7d1

diff --git a/dev-lang/qu-prolog/qu-prolog-10.0.ebuild b/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
new file mode 100644
index 00000000..14d1f11
--- /dev/null
+++ b/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
@@ -0,0 +1,91 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit eutils multilib qmake-utils
+
+MY_P=qp${PV}
+
+DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
+HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
+SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc examples pedro qt4 readline threads"
+
+RDEPEND="
+	!dev-util/mpatch
+	!dev-util/rej
+	qt4? ( dev-qt/qtgui:4 )
+	pedro? ( net-misc/pedro )
+	readline? ( app-misc/rlwrap )"
+DEPEND="${RDEPEND}
+	dev-lang/perl"
+
+S="${WORKDIR}"/${MY_P}
+
+src_configure() {
+	econf \
+		--libdir=/usr/$(get_libdir) \
+		$(use_enable debug) \
+		$(use_enable threads multiple-threads)
+
+	if use qt4; then
+		cd "${S}"/src/xqp || die
+		eqmake4 xqp.pro
+	fi
+}
+
+src_compile() {
+	emake OPTIMISATION="${CXXFLAGS}"
+
+	if use qt4; then
+		cd "${S}"/src/xqp || die
+		emake
+	fi
+}
+
+src_install() {
+	sed \
+		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
+		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
+
+	dobin bin/{qc,qecat,qp,kq}
+
+	into /usr/$(get_libdir)/${PN}
+	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
+
+	use qt4 && dobin src/xqp/xqp
+
+	insinto /usr/$(get_libdir)/${PN}/bin
+	doins bin/rl_commands
+	doins bin/{qc1.qup,qecat,qg,qp}.qx
+
+	insinto /usr/$(get_libdir)/${PN}/library
+	doins prolog/library/*.qo
+
+	insinto /usr/$(get_libdir)/${PN}/compiler
+	doins prolog/compiler/*.qo
+
+	doman doc/man/man1/*.1
+
+	dodoc README
+
+	if use doc ; then
+		docinto reference-manual
+		dodoc doc/manual/*.html
+		docinto user-guide
+		dodoc doc/user/main.pdf
+	fi
+
+	if use examples ; then
+		insinto /usr/share/doc/${PF}/examples
+		doins examples/*.ql
+		docinto examples
+		newdoc examples/README README.examples
+	fi
+}


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2017-08-01 16:39 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2017-08-01 16:39 UTC (permalink / raw
  To: gentoo-commits

commit:     7af091fee0fe97f41d4309edf3fe2c1c6143f792
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Tue Aug  1 16:38:56 2017 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Tue Aug  1 16:38:56 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7af091fe

dev-lang/qu-prolog: block games-rpg/kqlives due to file collision. See bug #597790

Package-Manager: Portage-2.3.0, Repoman-2.3.1

 dev-lang/qu-prolog/qu-prolog-10.0.ebuild | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.0.ebuild b/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
index 15d7adb69ed..0e221616b1e 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2016 Gentoo Foundation
+# Copyright 1999-2017 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=5
@@ -19,6 +19,7 @@ IUSE="debug doc examples pedro qt4 readline threads"
 RDEPEND="
 	!dev-util/mpatch
 	!dev-util/rej
+	!games-rpg/kqlives
 	qt4? ( dev-qt/qtgui:4 )
 	pedro? ( net-misc/pedro )
 	readline? ( app-misc/rlwrap )"


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2017-09-22 14:32 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2017-09-22 14:32 UTC (permalink / raw
  To: gentoo-commits

commit:     2ba56a56430827be0f8235645b00e16a4c13f485
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 22 14:31:34 2017 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Fri Sep 22 14:31:34 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2ba56a56

dev-lang/qu-prolog: stable on amd64. Bug #631726

Package-Manager: Portage-2.3.0, Repoman-2.3.1

 dev-lang/qu-prolog/qu-prolog-10.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.0.ebuild b/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
index 0e221616b1e..83d306058d6 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
+KEYWORDS="amd64 ~ppc ~x86"
 IUSE="debug doc examples pedro qt4 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2017-09-23 12:35 Sergei Trofimovich
  0 siblings, 0 replies; 33+ messages in thread
From: Sergei Trofimovich @ 2017-09-23 12:35 UTC (permalink / raw
  To: gentoo-commits

commit:     735abd875e0a1173f355204cc40a6a91e13fa40b
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 23 10:41:53 2017 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sat Sep 23 12:35:04 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=735abd87

dev-lang/qu-prolog: stable 10.0 for ppc, bug #631726

Package-Manager: Portage-2.3.10, Repoman-2.3.3
RepoMan-Options: --include-arches="ppc"

 dev-lang/qu-prolog/qu-prolog-10.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.0.ebuild b/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
index 83d306058d6..df1c2567a7e 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ~ppc ~x86"
+KEYWORDS="amd64 ppc ~x86"
 IUSE="debug doc examples pedro qt4 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2017-09-23 14:32 Thomas Deutschmann
  0 siblings, 0 replies; 33+ messages in thread
From: Thomas Deutschmann @ 2017-09-23 14:32 UTC (permalink / raw
  To: gentoo-commits

commit:     23a6cb12f2c229049e55e0dcb35e79f4d134920b
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sat Sep 23 14:29:20 2017 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sat Sep 23 14:32:20 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=23a6cb12

dev-lang/qu-prolog: x86 stable (bug #631726)

Package-Manager: Portage-2.3.8, Repoman-2.3.3

 dev-lang/qu-prolog/qu-prolog-10.0.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.0.ebuild b/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
index df1c2567a7e..a32be5b617f 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ppc ~x86"
+KEYWORDS="amd64 ppc x86"
 IUSE="debug doc examples pedro qt4 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2018-02-20 14:09 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2018-02-20 14:09 UTC (permalink / raw
  To: gentoo-commits

commit:     2af3f9632b3ef6c3b8223337f66d74e02f0faf2d
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Tue Feb 20 14:09:39 2018 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Tue Feb 20 14:09:39 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=2af3f963

dev-lang/qu-prolog: amd64 stable

Package-Manager: Portage-2.3.19, Repoman-2.3.6

 dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild b/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
index bb5af2782e1..75ae40d3254 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
+KEYWORDS="amd64 ~ppc ~x86"
 IUSE="debug doc examples pedro qt5 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2018-02-21  3:01 Thomas Deutschmann
  0 siblings, 0 replies; 33+ messages in thread
From: Thomas Deutschmann @ 2018-02-21  3:01 UTC (permalink / raw
  To: gentoo-commits

commit:     3125e5f22b107000038a4ea6729916eb09f4ed43
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Wed Feb 21 02:58:48 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Wed Feb 21 02:58:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3125e5f2

dev-lang/qu-prolog: x86 stable (bug #645628)

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild b/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
index 75ae40d3254..9c34b03e961 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ~ppc ~x86"
+KEYWORDS="amd64 ~ppc x86"
 IUSE="debug doc examples pedro qt5 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2018-04-01 13:47 Sergei Trofimovich
  0 siblings, 0 replies; 33+ messages in thread
From: Sergei Trofimovich @ 2018-04-01 13:47 UTC (permalink / raw
  To: gentoo-commits

commit:     26cd442ec3cdf75071c0a67d27b1cd8148204ebe
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  1 11:35:48 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Sun Apr  1 13:47:36 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=26cd442e

dev-lang/qu-prolog: stable 10.0-r1 for ppc, bug #645628

Package-Manager: Portage-2.3.27, Repoman-2.3.9
RepoMan-Options: --include-arches="ppc"

 dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild b/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
index 9c34b03e961..6506c3bce9f 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.0-r1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ~ppc x86"
+KEYWORDS="amd64 ppc x86"
 IUSE="debug doc examples pedro qt5 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2018-04-01 17:34 Andreas Sturmlechner
  0 siblings, 0 replies; 33+ messages in thread
From: Andreas Sturmlechner @ 2018-04-01 17:34 UTC (permalink / raw
  To: gentoo-commits

commit:     aca13183a7450c32e9c6bd968a4808a9e33d9c35
Author:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
AuthorDate: Sun Apr  1 16:08:04 2018 +0000
Commit:     Andreas Sturmlechner <asturm <AT> gentoo <DOT> org>
CommitDate: Sun Apr  1 17:34:17 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=aca13183

dev-lang/qu-prolog: Drop Qt4-based ebuild

Bug: https://bugs.gentoo.org/645628
Package-Manager: Portage-2.3.27, Repoman-2.3.9

 dev-lang/qu-prolog/qu-prolog-10.0.ebuild | 97 --------------------------------
 1 file changed, 97 deletions(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.0.ebuild b/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
deleted file mode 100644
index a32be5b617f..00000000000
--- a/dev-lang/qu-prolog/qu-prolog-10.0.ebuild
+++ /dev/null
@@ -1,97 +0,0 @@
-# Copyright 1999-2017 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=5
-
-inherit eutils multilib qmake-utils
-
-MY_P=qp${PV}
-
-DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
-HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
-SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
-
-LICENSE="Apache-2.0 GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 ppc x86"
-IUSE="debug doc examples pedro qt4 readline threads"
-
-RDEPEND="
-	!dev-util/mpatch
-	!dev-util/rej
-	!games-rpg/kqlives
-	qt4? ( dev-qt/qtgui:4 )
-	pedro? ( net-misc/pedro )
-	readline? ( app-misc/rlwrap )"
-DEPEND="${RDEPEND}
-	dev-lang/perl"
-
-S="${WORKDIR}"/${MY_P}
-
-src_prepare() {
-	epatch "${FILESDIR}"/${P}-configure.patch
-	epatch "${FILESDIR}"/${P}-associated-item.patch
-	epatch "${FILESDIR}"/${P}-gcc6.patch
-}
-
-src_configure() {
-	econf \
-		--libdir=/usr/$(get_libdir) \
-		$(use_enable debug) \
-		$(use_enable threads multiple-threads)
-
-	if use qt4; then
-		cd "${S}"/src/xqp || die
-		eqmake4 xqp.pro
-	fi
-}
-
-src_compile() {
-	emake OPTIMISATION="${CXXFLAGS}"
-
-	if use qt4; then
-		cd "${S}"/src/xqp || die
-		emake
-	fi
-}
-
-src_install() {
-	sed \
-		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
-		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
-
-	dobin bin/{qc,qecat,qp,kq}
-
-	into /usr/$(get_libdir)/${PN}
-	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
-
-	use qt4 && dobin src/xqp/xqp
-
-	insinto /usr/$(get_libdir)/${PN}/bin
-	doins bin/rl_commands
-	doins bin/{qc1.qup,qecat,qg,qp}.qx
-
-	insinto /usr/$(get_libdir)/${PN}/library
-	doins prolog/library/*.qo
-
-	insinto /usr/$(get_libdir)/${PN}/compiler
-	doins prolog/compiler/*.qo
-
-	doman doc/man/man1/*.1
-
-	dodoc README
-
-	if use doc ; then
-		docinto reference-manual
-		dodoc doc/manual/*.html
-		docinto user-guide
-		dodoc doc/user/main.pdf
-	fi
-
-	if use examples ; then
-		insinto /usr/share/doc/${PF}/examples
-		doins examples/*.ql
-		docinto examples
-		newdoc examples/README README.examples
-	fi
-}


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2018-09-03  7:09 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2018-09-03  7:09 UTC (permalink / raw
  To: gentoo-commits

commit:     05facbbc985963081e46167efe528ec967aac3e1
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Mon Sep  3 07:08:29 2018 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Mon Sep  3 07:08:46 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=05facbbc

dev-lang/qu-prolog: amd64 stable (bug #665142)

Package-Manager: Portage-2.3.40, Repoman-2.3.9

 dev-lang/qu-prolog/qu-prolog-10.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.1.ebuild b/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
index 2b3ad3c4c60..3ad77e4c926 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
+KEYWORDS="amd64 ~ppc ~x86"
 IUSE="debug doc examples pedro qt5 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2018-09-07 22:54 Sergei Trofimovich
  0 siblings, 0 replies; 33+ messages in thread
From: Sergei Trofimovich @ 2018-09-07 22:54 UTC (permalink / raw
  To: gentoo-commits

commit:     29a8eee1b3856bdb2476037425844b3f3318795f
Author:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
AuthorDate: Fri Sep  7 22:51:36 2018 +0000
Commit:     Sergei Trofimovich <slyfox <AT> gentoo <DOT> org>
CommitDate: Fri Sep  7 22:54:48 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=29a8eee1

dev-lang/qu-prolog: stable 10.1 for ppc, bug #665142

Package-Manager: Portage-2.3.49, Repoman-2.3.10
RepoMan-Options: --include-arches="ppc"

 dev-lang/qu-prolog/qu-prolog-10.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.1.ebuild b/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
index 3ad77e4c926..39e6893ac06 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ~ppc ~x86"
+KEYWORDS="amd64 ppc ~x86"
 IUSE="debug doc examples pedro qt5 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2018-09-09  1:12 Thomas Deutschmann
  0 siblings, 0 replies; 33+ messages in thread
From: Thomas Deutschmann @ 2018-09-09  1:12 UTC (permalink / raw
  To: gentoo-commits

commit:     4aadac962099be781ac1801883cc409fe4bd4a6a
Author:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
AuthorDate: Sun Sep  9 01:08:14 2018 +0000
Commit:     Thomas Deutschmann <whissi <AT> gentoo <DOT> org>
CommitDate: Sun Sep  9 01:12:01 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4aadac96

dev-lang/qu-prolog: x86 stable (bug #665142)

Package-Manager: Portage-2.3.49, Repoman-2.3.10

 dev-lang/qu-prolog/qu-prolog-10.1.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.1.ebuild b/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
index 39e6893ac06..df4cb97f00b 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ppc ~x86"
+KEYWORDS="amd64 ppc x86"
 IUSE="debug doc examples pedro qt5 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2020-05-27 16:03 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2020-05-27 16:03 UTC (permalink / raw
  To: gentoo-commits

commit:     876ab965a2d1cfabe99baeb61c3848fa8d0a4383
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Wed May 27 16:02:27 2020 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Wed May 27 16:03:10 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=876ab965

dev-lang/qu-prolog: version bump

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Keri Harris <keri <AT> gentoo.org>

 dev-lang/qu-prolog/Manifest              |  1 +
 dev-lang/qu-prolog/qu-prolog-10.3.ebuild | 99 ++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index e08b211f2c6..40dbbfce6eb 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -1,2 +1,3 @@
 DIST qp10.1.tar.gz 1521610 BLAKE2B a4d6d277a35284accfff1afd70901218df198b2b33f5c95ca5649bf06abcb153890f2f21b0e8d62ed93484b452a230074f93c983ab231c8fc58b51a29119d838 SHA512 8fb30fcbc086384d7e265695a7d24a9599ed306b5da0ea964e60aef4bb01c7b6789fc361449f908736c57d86c204e574d745f277d5b0ec2b725a8eca52f14f1a
 DIST qp10.2.tar.gz 1667066 BLAKE2B fe466bc892a0923f463347bfa22618061d8a8baf9e2fc60ea27694c66be6dc8ac9b0bacd3084bccff95ff06ef949660cb9a0637a8e3e3595d04c44eb2b682bc9 SHA512 5cfebab17a812513bb4ddf4c04890af32339bef18d746dd6503cee13d295c43f1ef687a6c7814b2f40473766c695459f8234541ae8a6945a0f2930556985ad96
+DIST qp10.3.tar.gz 1669345 BLAKE2B 9dc14f683555b22e7bb2119dd6d29cad7c934bb162def4358d69da65cd259b586fac593c7770dc1d665ab56da2e1129a696e84b01a271b747a9e3a8598c0d7fa SHA512 e28519fccf58f2b755382f2b8e56c15f2622508822c920975577feb6b837f96346a14eb23a5209ed126e617264ed7846b8a35d5936e99284503d5c435c0a1c18

diff --git a/dev-lang/qu-prolog/qu-prolog-10.3.ebuild b/dev-lang/qu-prolog/qu-prolog-10.3.ebuild
new file mode 100644
index 00000000000..9f9d19a963c
--- /dev/null
+++ b/dev-lang/qu-prolog/qu-prolog-10.3.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils multilib qmake-utils
+
+MY_P=qp${PV}
+
+DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
+HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
+SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc examples pedro qt5 readline threads"
+
+RDEPEND="
+	!dev-util/mpatch
+	!dev-util/rej
+	!games-rpg/kqlives
+	qt5? (
+		dev-qt/qtwidgets:5
+		dev-qt/qtgui:5
+	 )
+	pedro? ( net-misc/pedro )
+	readline? ( app-misc/rlwrap )"
+DEPEND="${RDEPEND}
+	dev-lang/perl"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+	epatch "${FILESDIR}"/${PN}-10.x-qt5.patch
+
+	eapply_user
+}
+
+src_configure() {
+	econf \
+		--libdir=/usr/$(get_libdir) \
+		$(use_enable debug) \
+		$(use_enable threads multiple-threads)
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		eqmake5 xqp.pro
+	fi
+}
+
+src_compile() {
+	emake OPTIMISATION="${CXXFLAGS}"
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		emake
+	fi
+}
+
+src_install() {
+	sed \
+		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
+		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
+
+	dobin bin/{qc,qecat,qp,kq}
+
+	use qt5 && dobin src/xqp/xqp
+
+	into /usr/$(get_libdir)/${PN}
+	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
+
+	insinto /usr/$(get_libdir)/${PN}/bin
+	doins bin/rl_commands
+	doins bin/{qc1.qup,qecat,qg,qp}.qx
+
+	insinto /usr/$(get_libdir)/${PN}/library
+	doins prolog/library/*.qo
+
+	insinto /usr/$(get_libdir)/${PN}/compiler
+	doins prolog/compiler/*.qo
+
+	doman doc/man/man1/*.1
+
+	dodoc README
+
+	if use doc ; then
+		docinto reference-manual
+		dodoc doc/manual/*.html
+		docinto user-guide
+		dodoc doc/user/main.pdf
+	fi
+
+	if use examples ; then
+		docinto examples
+		newdoc examples/README README.examples
+		dodoc examples/*.ql
+	fi
+}


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2020-05-27 16:12 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2020-05-27 16:12 UTC (permalink / raw
  To: gentoo-commits

commit:     bac3d6083ed987f5c8dea144a116ccea82a1b364
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Wed May 27 16:11:59 2020 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Wed May 27 16:11:59 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bac3d608

dev-lang/qu-prolog: EAPI 7 fixup

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Keri Harris <keri <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.3.ebuild | 3 +--
 1 file changed, 1 insertion(+), 2 deletions(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.3.ebuild b/dev-lang/qu-prolog/qu-prolog-10.3.ebuild
index 9f9d19a963c..c6f3783e748 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.3.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.3.ebuild
@@ -32,8 +32,7 @@ DEPEND="${RDEPEND}
 S="${WORKDIR}"/${MY_P}
 
 src_prepare() {
-	epatch "${FILESDIR}"/${PN}-10.x-qt5.patch
-
+	eapply "${FILESDIR}"/${PN}-10.x-qt5.patch
 	eapply_user
 }
 


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2020-06-13 10:25 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2020-06-13 10:25 UTC (permalink / raw
  To: gentoo-commits

commit:     a793c326d60fdfd0479f0da8e752becd1d78a058
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Sat Jun 13 10:23:48 2020 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Sat Jun 13 10:24:42 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=a793c326

dev-lang/qu-prolog: version bump

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Keri Harris <keri <AT> gentoo.org>

 dev-lang/qu-prolog/Manifest              |  1 +
 dev-lang/qu-prolog/qu-prolog-10.4.ebuild | 97 ++++++++++++++++++++++++++++++++
 2 files changed, 98 insertions(+)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index 40dbbfce6eb..6ae5f8da31b 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -1,3 +1,4 @@
 DIST qp10.1.tar.gz 1521610 BLAKE2B a4d6d277a35284accfff1afd70901218df198b2b33f5c95ca5649bf06abcb153890f2f21b0e8d62ed93484b452a230074f93c983ab231c8fc58b51a29119d838 SHA512 8fb30fcbc086384d7e265695a7d24a9599ed306b5da0ea964e60aef4bb01c7b6789fc361449f908736c57d86c204e574d745f277d5b0ec2b725a8eca52f14f1a
 DIST qp10.2.tar.gz 1667066 BLAKE2B fe466bc892a0923f463347bfa22618061d8a8baf9e2fc60ea27694c66be6dc8ac9b0bacd3084bccff95ff06ef949660cb9a0637a8e3e3595d04c44eb2b682bc9 SHA512 5cfebab17a812513bb4ddf4c04890af32339bef18d746dd6503cee13d295c43f1ef687a6c7814b2f40473766c695459f8234541ae8a6945a0f2930556985ad96
 DIST qp10.3.tar.gz 1669345 BLAKE2B 9dc14f683555b22e7bb2119dd6d29cad7c934bb162def4358d69da65cd259b586fac593c7770dc1d665ab56da2e1129a696e84b01a271b747a9e3a8598c0d7fa SHA512 e28519fccf58f2b755382f2b8e56c15f2622508822c920975577feb6b837f96346a14eb23a5209ed126e617264ed7846b8a35d5936e99284503d5c435c0a1c18
+DIST qp10.4.tar.gz 1671144 BLAKE2B 293cbc09a058714f762e5d371074ca1b87e8177868851a3db2606a837810b474e926c43f6715c5088c718f2b1841c46f9668795ac53edc0266a9a6d5d04386f5 SHA512 39193ba2c39dc24b234092a47f9834af5b8dff6edc34ba6e0ceb6a4bda60c2f30b951bc17ef72da1dd220ef62563c88f4106dd0115a5bf8e51045abfb96151c6

diff --git a/dev-lang/qu-prolog/qu-prolog-10.4.ebuild b/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
new file mode 100644
index 00000000000..79f9bc1fa0f
--- /dev/null
+++ b/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
@@ -0,0 +1,97 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit eutils multilib qmake-utils
+
+MY_P=qp${PV}
+
+DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
+HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
+SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc examples pedro qt5 readline threads"
+
+RDEPEND="
+	!dev-util/mpatch
+	!dev-util/rej
+	qt5? (
+		dev-qt/qtwidgets:5
+		dev-qt/qtgui:5
+	 )
+	pedro? ( net-misc/pedro )
+	readline? ( app-misc/rlwrap )"
+DEPEND="${RDEPEND}
+	dev-lang/perl"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+	eapply "${FILESDIR}"/${PN}-10.x-qt5.patch
+	eapply_user
+}
+
+src_configure() {
+	econf \
+		--libdir=/usr/$(get_libdir) \
+		$(use_enable debug) \
+		$(use_enable threads multiple-threads)
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		eqmake5 xqp.pro
+	fi
+}
+
+src_compile() {
+	emake OPTIMISATION="${CXXFLAGS}"
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		emake
+	fi
+}
+
+src_install() {
+	sed \
+		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
+		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
+
+	dobin bin/{qc,qecat,qp,kq}
+
+	use qt5 && dobin src/xqp/xqp
+
+	into /usr/$(get_libdir)/${PN}
+	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
+
+	insinto /usr/$(get_libdir)/${PN}/bin
+	doins bin/rl_commands
+	doins bin/{qc1.qup,qecat,qg,qp}.qx
+
+	insinto /usr/$(get_libdir)/${PN}/library
+	doins prolog/library/*.qo
+
+	insinto /usr/$(get_libdir)/${PN}/compiler
+	doins prolog/compiler/*.qo
+
+	doman doc/man/man1/*.1
+
+	dodoc README
+
+	if use doc ; then
+		docinto reference-manual
+		dodoc doc/manual/*.html
+		docinto user-guide
+		dodoc doc/user/main.pdf
+	fi
+
+	if use examples ; then
+		docinto examples
+		newdoc examples/README README.examples
+		dodoc examples/*.ql
+	fi
+}


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2020-07-17  7:03 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2020-07-17  7:03 UTC (permalink / raw
  To: gentoo-commits

commit:     66c89d9d297da13b0aeb398c511ea0294c236419
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 17 07:02:02 2020 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Fri Jul 17 07:03:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=66c89d9d

dev-lang/qu-prolog: amd64 stable (bug #729744)

Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Keri Harris <keri <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.4.ebuild b/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
index 79f9bc1fa0f..df6dbad5dea 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
+KEYWORDS="amd64 ~ppc ~x86"
 IUSE="debug doc examples pedro qt5 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2020-07-17 15:09 Agostino Sarubbo
  0 siblings, 0 replies; 33+ messages in thread
From: Agostino Sarubbo @ 2020-07-17 15:09 UTC (permalink / raw
  To: gentoo-commits

commit:     5d7f2a7f852c7b80b7119e52ab5777d6b5d74c40
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Fri Jul 17 15:08:54 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Fri Jul 17 15:08:54 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5d7f2a7f

dev-lang/qu-prolog: ppc stable wrt bug #729744

Package-Manager: Portage-2.3.99, Repoman-2.3.22
RepoMan-Options: --include-arches="ppc"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.4.ebuild b/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
index df6dbad5dea..458fb4cb4cf 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ~ppc ~x86"
+KEYWORDS="amd64 ppc ~x86"
 IUSE="debug doc examples pedro qt5 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2020-07-19  7:43 Agostino Sarubbo
  0 siblings, 0 replies; 33+ messages in thread
From: Agostino Sarubbo @ 2020-07-19  7:43 UTC (permalink / raw
  To: gentoo-commits

commit:     8c7b1495f0a9f4119f9ae2e3dc6f84dd975e0146
Author:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
AuthorDate: Sun Jul 19 07:42:27 2020 +0000
Commit:     Agostino Sarubbo <ago <AT> gentoo <DOT> org>
CommitDate: Sun Jul 19 07:42:27 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=8c7b1495

dev-lang/qu-prolog: x86 stable wrt bug #729744

Package-Manager: Portage-2.3.99, Repoman-2.3.22
RepoMan-Options: --include-arches="x86"
Signed-off-by: Agostino Sarubbo <ago <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.4.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.4.ebuild b/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
index 458fb4cb4cf..c06392ec701 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ppc ~x86"
+KEYWORDS="amd64 ppc x86"
 IUSE="debug doc examples pedro qt5 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2020-07-20 19:37 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2020-07-20 19:37 UTC (permalink / raw
  To: gentoo-commits

commit:     0e46dca470f39a35b86db2f7db11bb7de15354b3
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 20 19:36:49 2020 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Mon Jul 20 19:37:07 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=0e46dca4

dev-lang/qu-prolog: remove old versions

Package-Manager: Portage-2.3.103, Repoman-2.3.22
Signed-off-by: Keri Harris <keri <AT> gentoo.org>

 dev-lang/qu-prolog/Manifest              |   3 -
 dev-lang/qu-prolog/qu-prolog-10.1.ebuild | 100 -------------------------------
 dev-lang/qu-prolog/qu-prolog-10.2.ebuild | 100 -------------------------------
 dev-lang/qu-prolog/qu-prolog-10.3.ebuild |  98 ------------------------------
 4 files changed, 301 deletions(-)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index 576e943a1e7..e001b7f370d 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -1,5 +1,2 @@
-DIST qp10.1.tar.gz 1521610 BLAKE2B a4d6d277a35284accfff1afd70901218df198b2b33f5c95ca5649bf06abcb153890f2f21b0e8d62ed93484b452a230074f93c983ab231c8fc58b51a29119d838 SHA512 8fb30fcbc086384d7e265695a7d24a9599ed306b5da0ea964e60aef4bb01c7b6789fc361449f908736c57d86c204e574d745f277d5b0ec2b725a8eca52f14f1a
-DIST qp10.2.tar.gz 1667066 BLAKE2B fe466bc892a0923f463347bfa22618061d8a8baf9e2fc60ea27694c66be6dc8ac9b0bacd3084bccff95ff06ef949660cb9a0637a8e3e3595d04c44eb2b682bc9 SHA512 5cfebab17a812513bb4ddf4c04890af32339bef18d746dd6503cee13d295c43f1ef687a6c7814b2f40473766c695459f8234541ae8a6945a0f2930556985ad96
-DIST qp10.3.tar.gz 1669345 BLAKE2B 9dc14f683555b22e7bb2119dd6d29cad7c934bb162def4358d69da65cd259b586fac593c7770dc1d665ab56da2e1129a696e84b01a271b747a9e3a8598c0d7fa SHA512 e28519fccf58f2b755382f2b8e56c15f2622508822c920975577feb6b837f96346a14eb23a5209ed126e617264ed7846b8a35d5936e99284503d5c435c0a1c18
 DIST qp10.4.tar.gz 1671144 BLAKE2B 293cbc09a058714f762e5d371074ca1b87e8177868851a3db2606a837810b474e926c43f6715c5088c718f2b1841c46f9668795ac53edc0266a9a6d5d04386f5 SHA512 39193ba2c39dc24b234092a47f9834af5b8dff6edc34ba6e0ceb6a4bda60c2f30b951bc17ef72da1dd220ef62563c88f4106dd0115a5bf8e51045abfb96151c6
 DIST qp10.5.tar.gz 1670927 BLAKE2B 74fd47beb18f7081ade39bf215a999066a2a5e99753ee8e48751c37d7bff111d355a7713f13af43a1cffc2fa6ca5efdf89a633fba45accdef17ee265f068e57a SHA512 6a7d46f09015304ffa222c82be5d9fb28c272ce27641455113740f3a4a08887369208456c478320b30d9464d8eeea0f7fcc1c1e56e1a130134e2fe54d5446958

diff --git a/dev-lang/qu-prolog/qu-prolog-10.1.ebuild b/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
deleted file mode 100644
index 66036b4f69a..00000000000
--- a/dev-lang/qu-prolog/qu-prolog-10.1.ebuild
+++ /dev/null
@@ -1,100 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit eutils multilib qmake-utils
-
-MY_P=qp${PV}
-
-DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
-HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
-SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
-
-LICENSE="Apache-2.0 GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 ppc x86"
-IUSE="debug doc examples pedro qt5 readline threads"
-
-RDEPEND="
-	!dev-util/mpatch
-	!dev-util/rej
-	!games-rpg/kqlives
-	qt5? (
-		dev-qt/qtwidgets:5
-		dev-qt/qtgui:5
-	 )
-	pedro? ( net-misc/pedro )
-	readline? ( app-misc/rlwrap )"
-DEPEND="${RDEPEND}
-	dev-lang/perl"
-
-S="${WORKDIR}"/${MY_P}
-
-src_prepare() {
-	epatch "${FILESDIR}"/${PN}-10.x-qt5.patch
-
-	eapply_user
-}
-
-src_configure() {
-	econf \
-		--libdir=/usr/$(get_libdir) \
-		$(use_enable debug) \
-		$(use_enable threads multiple-threads)
-
-	if use qt5; then
-		cd "${S}"/src/xqp || die
-		eqmake5 xqp.pro
-	fi
-}
-
-src_compile() {
-	emake OPTIMISATION="${CXXFLAGS}"
-
-	if use qt5; then
-		cd "${S}"/src/xqp || die
-		emake
-	fi
-}
-
-src_install() {
-	sed \
-		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
-		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
-
-	dobin bin/{qc,qecat,qp,kq}
-
-	use qt5 && dobin src/xqp/xqp
-
-	into /usr/$(get_libdir)/${PN}
-	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
-
-	insinto /usr/$(get_libdir)/${PN}/bin
-	doins bin/rl_commands
-	doins bin/{qc1.qup,qecat,qg,qp}.qx
-
-	insinto /usr/$(get_libdir)/${PN}/library
-	doins prolog/library/*.qo
-
-	insinto /usr/$(get_libdir)/${PN}/compiler
-	doins prolog/compiler/*.qo
-
-	doman doc/man/man1/*.1
-
-	dodoc README
-
-	if use doc ; then
-		docinto reference-manual
-		dodoc doc/manual/*.html
-		docinto user-guide
-		dodoc doc/user/main.pdf
-	fi
-
-	if use examples ; then
-		insinto /usr/share/doc/${PF}/examples
-		doins examples/*.ql
-		docinto examples
-		newdoc examples/README README.examples
-	fi
-}

diff --git a/dev-lang/qu-prolog/qu-prolog-10.2.ebuild b/dev-lang/qu-prolog/qu-prolog-10.2.ebuild
deleted file mode 100644
index d7dbcab7d77..00000000000
--- a/dev-lang/qu-prolog/qu-prolog-10.2.ebuild
+++ /dev/null
@@ -1,100 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit eutils multilib qmake-utils
-
-MY_P=qp${PV}
-
-DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
-HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
-SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
-
-LICENSE="Apache-2.0 GPL-2+"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
-IUSE="debug doc examples pedro qt5 readline threads"
-
-RDEPEND="
-	!dev-util/mpatch
-	!dev-util/rej
-	!games-rpg/kqlives
-	qt5? (
-		dev-qt/qtwidgets:5
-		dev-qt/qtgui:5
-	 )
-	pedro? ( net-misc/pedro )
-	readline? ( app-misc/rlwrap )"
-DEPEND="${RDEPEND}
-	dev-lang/perl"
-
-S="${WORKDIR}"/${MY_P}
-
-src_prepare() {
-	epatch "${FILESDIR}"/${PN}-10.x-qt5.patch
-
-	eapply_user
-}
-
-src_configure() {
-	econf \
-		--libdir=/usr/$(get_libdir) \
-		$(use_enable debug) \
-		$(use_enable threads multiple-threads)
-
-	if use qt5; then
-		cd "${S}"/src/xqp || die
-		eqmake5 xqp.pro
-	fi
-}
-
-src_compile() {
-	emake OPTIMISATION="${CXXFLAGS}"
-
-	if use qt5; then
-		cd "${S}"/src/xqp || die
-		emake
-	fi
-}
-
-src_install() {
-	sed \
-		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
-		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
-
-	dobin bin/{qc,qecat,qp,kq}
-
-	use qt5 && dobin src/xqp/xqp
-
-	into /usr/$(get_libdir)/${PN}
-	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
-
-	insinto /usr/$(get_libdir)/${PN}/bin
-	doins bin/rl_commands
-	doins bin/{qc1.qup,qecat,qg,qp}.qx
-
-	insinto /usr/$(get_libdir)/${PN}/library
-	doins prolog/library/*.qo
-
-	insinto /usr/$(get_libdir)/${PN}/compiler
-	doins prolog/compiler/*.qo
-
-	doman doc/man/man1/*.1
-
-	dodoc README
-
-	if use doc ; then
-		docinto reference-manual
-		dodoc doc/manual/*.html
-		docinto user-guide
-		dodoc doc/user/main.pdf
-	fi
-
-	if use examples ; then
-		insinto /usr/share/doc/${PF}/examples
-		doins examples/*.ql
-		docinto examples
-		newdoc examples/README README.examples
-	fi
-}

diff --git a/dev-lang/qu-prolog/qu-prolog-10.3.ebuild b/dev-lang/qu-prolog/qu-prolog-10.3.ebuild
deleted file mode 100644
index c6f3783e748..00000000000
--- a/dev-lang/qu-prolog/qu-prolog-10.3.ebuild
+++ /dev/null
@@ -1,98 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit eutils multilib qmake-utils
-
-MY_P=qp${PV}
-
-DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
-HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
-SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
-
-LICENSE="Apache-2.0 GPL-2+"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
-IUSE="debug doc examples pedro qt5 readline threads"
-
-RDEPEND="
-	!dev-util/mpatch
-	!dev-util/rej
-	!games-rpg/kqlives
-	qt5? (
-		dev-qt/qtwidgets:5
-		dev-qt/qtgui:5
-	 )
-	pedro? ( net-misc/pedro )
-	readline? ( app-misc/rlwrap )"
-DEPEND="${RDEPEND}
-	dev-lang/perl"
-
-S="${WORKDIR}"/${MY_P}
-
-src_prepare() {
-	eapply "${FILESDIR}"/${PN}-10.x-qt5.patch
-	eapply_user
-}
-
-src_configure() {
-	econf \
-		--libdir=/usr/$(get_libdir) \
-		$(use_enable debug) \
-		$(use_enable threads multiple-threads)
-
-	if use qt5; then
-		cd "${S}"/src/xqp || die
-		eqmake5 xqp.pro
-	fi
-}
-
-src_compile() {
-	emake OPTIMISATION="${CXXFLAGS}"
-
-	if use qt5; then
-		cd "${S}"/src/xqp || die
-		emake
-	fi
-}
-
-src_install() {
-	sed \
-		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
-		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
-
-	dobin bin/{qc,qecat,qp,kq}
-
-	use qt5 && dobin src/xqp/xqp
-
-	into /usr/$(get_libdir)/${PN}
-	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
-
-	insinto /usr/$(get_libdir)/${PN}/bin
-	doins bin/rl_commands
-	doins bin/{qc1.qup,qecat,qg,qp}.qx
-
-	insinto /usr/$(get_libdir)/${PN}/library
-	doins prolog/library/*.qo
-
-	insinto /usr/$(get_libdir)/${PN}/compiler
-	doins prolog/compiler/*.qo
-
-	doman doc/man/man1/*.1
-
-	dodoc README
-
-	if use doc ; then
-		docinto reference-manual
-		dodoc doc/manual/*.html
-		docinto user-guide
-		dodoc doc/user/main.pdf
-	fi
-
-	if use examples ; then
-		docinto examples
-		newdoc examples/README README.examples
-		dodoc examples/*.ql
-	fi
-}


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2020-09-11 14:59 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2020-09-11 14:59 UTC (permalink / raw
  To: gentoo-commits

commit:     11c90e5ad4a8b57e09c295641d51193a7f9b3597
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Fri Sep 11 14:58:27 2020 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Fri Sep 11 14:58:57 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=11c90e5a

dev-lang/qu-prolog: version bump

Package-Manager: Portage-2.3.103, Repoman-2.3.22
Signed-off-by: Keri Harris <keri <AT> gentoo.org>

 dev-lang/qu-prolog/Manifest              |  1 +
 dev-lang/qu-prolog/qu-prolog-10.6.ebuild | 99 ++++++++++++++++++++++++++++++++
 2 files changed, 100 insertions(+)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index e001b7f370d..d597ed1cbce 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -1,2 +1,3 @@
 DIST qp10.4.tar.gz 1671144 BLAKE2B 293cbc09a058714f762e5d371074ca1b87e8177868851a3db2606a837810b474e926c43f6715c5088c718f2b1841c46f9668795ac53edc0266a9a6d5d04386f5 SHA512 39193ba2c39dc24b234092a47f9834af5b8dff6edc34ba6e0ceb6a4bda60c2f30b951bc17ef72da1dd220ef62563c88f4106dd0115a5bf8e51045abfb96151c6
 DIST qp10.5.tar.gz 1670927 BLAKE2B 74fd47beb18f7081ade39bf215a999066a2a5e99753ee8e48751c37d7bff111d355a7713f13af43a1cffc2fa6ca5efdf89a633fba45accdef17ee265f068e57a SHA512 6a7d46f09015304ffa222c82be5d9fb28c272ce27641455113740f3a4a08887369208456c478320b30d9464d8eeea0f7fcc1c1e56e1a130134e2fe54d5446958
+DIST qp10.6.tar.gz 1671349 BLAKE2B 189ddd733a0bbf939387de60ec76e8e41a430af5f4684a9a3b8cc3effa4e402cfd4471c955f4d626d2de8cf14eb93c2977540ad209d06ce9b562325a4b984fea SHA512 425b35c758ba86cc14a1faf5c19f2c091142be6c42261323dc6f551efd6c80f7223584cd2be239748539eaf25308f777d95fd5bfdc65b33ca3245377e1766299

diff --git a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
new file mode 100644
index 00000000000..0e244c6173a
--- /dev/null
+++ b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
@@ -0,0 +1,99 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools eutils multilib qmake-utils
+
+MY_P=qp${PV}
+
+DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
+HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
+SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+
+LICENSE="Apache-2.0 GPL-2+"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc ~x86"
+IUSE="debug doc examples pedro qt5 readline threads"
+
+RDEPEND="
+	!dev-util/mpatch
+	!dev-util/rej
+	qt5? (
+		dev-qt/qtwidgets:5
+		dev-qt/qtgui:5
+	 )
+	pedro? ( net-misc/pedro )
+	readline? ( app-misc/rlwrap )"
+DEPEND="${RDEPEND}
+	dev-lang/perl"
+
+S="${WORKDIR}"/${MY_P}
+
+src_prepare() {
+	eapply "${FILESDIR}"/${PN}-10.x-qt5.patch
+	eapply_user
+
+	eautoconf
+}
+
+src_configure() {
+	econf \
+		--libdir=/usr/$(get_libdir) \
+		$(use_enable debug) \
+		$(use_enable threads multiple-threads)
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		eqmake5 xqp.pro
+	fi
+}
+
+src_compile() {
+	emake OPTIMISATION="${CXXFLAGS}"
+
+	if use qt5; then
+		cd "${S}"/src/xqp || die
+		emake
+	fi
+}
+
+src_install() {
+	sed \
+		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
+		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
+
+	dobin bin/{qc,qecat,qp,kq}
+
+	use qt5 && dobin src/xqp/xqp
+
+	into /usr/$(get_libdir)/${PN}
+	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
+
+	insinto /usr/$(get_libdir)/${PN}/bin
+	doins bin/rl_commands
+	doins bin/{qc1.qup,qecat,qg,qp}.qx
+
+	insinto /usr/$(get_libdir)/${PN}/library
+	doins prolog/library/*.qo
+
+	insinto /usr/$(get_libdir)/${PN}/compiler
+	doins prolog/compiler/*.qo
+
+	doman doc/man/man1/*.1
+
+	dodoc README
+
+	if use doc ; then
+		docinto reference-manual
+		dodoc doc/manual/*.html
+		docinto user-guide
+		dodoc doc/user/main.pdf
+	fi
+
+	if use examples ; then
+		docinto examples
+		newdoc examples/README README.examples
+		dodoc examples/*.ql
+	fi
+}


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2021-01-07  0:58 Sam James
  0 siblings, 0 replies; 33+ messages in thread
From: Sam James @ 2021-01-07  0:58 UTC (permalink / raw
  To: gentoo-commits

commit:     e04701955fd91f9a58b930a7fa6e359213c1033f
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  7 00:52:38 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jan  7 00:58:00 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e0470195

dev-lang/qu-prolog: Stabilize 10.6 amd64, #764050

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.6.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
index 0e244c6173a..b44dd0b4e84 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2021 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
+KEYWORDS="amd64 ~ppc ~x86"
 IUSE="debug doc examples pedro qt5 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2021-01-07  1:08 Sam James
  0 siblings, 0 replies; 33+ messages in thread
From: Sam James @ 2021-01-07  1:08 UTC (permalink / raw
  To: gentoo-commits

commit:     e36a1fbd309977f8cb21cbc86b19ab0d7fcd0446
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  7 01:05:01 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jan  7 01:05:01 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e36a1fbd

dev-lang/qu-prolog: Stabilize 10.6 x86, #764050

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
index b44dd0b4e84..d5a646d9dd5 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ~ppc ~x86"
+KEYWORDS="amd64 ~ppc x86"
 IUSE="debug doc examples pedro qt5 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2021-01-07 12:30 Sam James
  0 siblings, 0 replies; 33+ messages in thread
From: Sam James @ 2021-01-07 12:30 UTC (permalink / raw
  To: gentoo-commits

commit:     6ea5867eb5ecc2e212c8413ceaf98f5c8e4935c4
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu Jan  7 12:30:46 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu Jan  7 12:30:46 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6ea5867e

dev-lang/qu-prolog: Stabilize 10.6 ppc, #764050

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.6.ebuild | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
index d5a646d9dd5..391648077ff 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
@@ -13,7 +13,7 @@ SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"
-KEYWORDS="amd64 ~ppc x86"
+KEYWORDS="amd64 ppc x86"
 IUSE="debug doc examples pedro qt5 readline threads"
 
 RDEPEND="


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2021-01-18 16:00 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2021-01-18 16:00 UTC (permalink / raw
  To: gentoo-commits

commit:     cd60097c2d0123e3f1b34191447c209d7902c613
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Mon Jan 18 16:00:03 2021 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Mon Jan 18 16:00:03 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=cd60097c

dev-lang/qu-prolog: remove old versions

Package-Manager: Portage-3.0.4, Repoman-2.3.22
Signed-off-by: Keri Harris <keri <AT> gentoo.org>

 dev-lang/qu-prolog/Manifest              |   2 -
 dev-lang/qu-prolog/qu-prolog-10.4.ebuild |  97 ------------------------------
 dev-lang/qu-prolog/qu-prolog-10.5.ebuild | 100 -------------------------------
 3 files changed, 199 deletions(-)

diff --git a/dev-lang/qu-prolog/Manifest b/dev-lang/qu-prolog/Manifest
index d597ed1cbce..6c18791ba65 100644
--- a/dev-lang/qu-prolog/Manifest
+++ b/dev-lang/qu-prolog/Manifest
@@ -1,3 +1 @@
-DIST qp10.4.tar.gz 1671144 BLAKE2B 293cbc09a058714f762e5d371074ca1b87e8177868851a3db2606a837810b474e926c43f6715c5088c718f2b1841c46f9668795ac53edc0266a9a6d5d04386f5 SHA512 39193ba2c39dc24b234092a47f9834af5b8dff6edc34ba6e0ceb6a4bda60c2f30b951bc17ef72da1dd220ef62563c88f4106dd0115a5bf8e51045abfb96151c6
-DIST qp10.5.tar.gz 1670927 BLAKE2B 74fd47beb18f7081ade39bf215a999066a2a5e99753ee8e48751c37d7bff111d355a7713f13af43a1cffc2fa6ca5efdf89a633fba45accdef17ee265f068e57a SHA512 6a7d46f09015304ffa222c82be5d9fb28c272ce27641455113740f3a4a08887369208456c478320b30d9464d8eeea0f7fcc1c1e56e1a130134e2fe54d5446958
 DIST qp10.6.tar.gz 1671349 BLAKE2B 189ddd733a0bbf939387de60ec76e8e41a430af5f4684a9a3b8cc3effa4e402cfd4471c955f4d626d2de8cf14eb93c2977540ad209d06ce9b562325a4b984fea SHA512 425b35c758ba86cc14a1faf5c19f2c091142be6c42261323dc6f551efd6c80f7223584cd2be239748539eaf25308f777d95fd5bfdc65b33ca3245377e1766299

diff --git a/dev-lang/qu-prolog/qu-prolog-10.4.ebuild b/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
deleted file mode 100644
index c06392ec701..00000000000
--- a/dev-lang/qu-prolog/qu-prolog-10.4.ebuild
+++ /dev/null
@@ -1,97 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit eutils multilib qmake-utils
-
-MY_P=qp${PV}
-
-DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
-HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
-SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
-
-LICENSE="Apache-2.0 GPL-2+"
-SLOT="0"
-KEYWORDS="amd64 ppc x86"
-IUSE="debug doc examples pedro qt5 readline threads"
-
-RDEPEND="
-	!dev-util/mpatch
-	!dev-util/rej
-	qt5? (
-		dev-qt/qtwidgets:5
-		dev-qt/qtgui:5
-	 )
-	pedro? ( net-misc/pedro )
-	readline? ( app-misc/rlwrap )"
-DEPEND="${RDEPEND}
-	dev-lang/perl"
-
-S="${WORKDIR}"/${MY_P}
-
-src_prepare() {
-	eapply "${FILESDIR}"/${PN}-10.x-qt5.patch
-	eapply_user
-}
-
-src_configure() {
-	econf \
-		--libdir=/usr/$(get_libdir) \
-		$(use_enable debug) \
-		$(use_enable threads multiple-threads)
-
-	if use qt5; then
-		cd "${S}"/src/xqp || die
-		eqmake5 xqp.pro
-	fi
-}
-
-src_compile() {
-	emake OPTIMISATION="${CXXFLAGS}"
-
-	if use qt5; then
-		cd "${S}"/src/xqp || die
-		emake
-	fi
-}
-
-src_install() {
-	sed \
-		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
-		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
-
-	dobin bin/{qc,qecat,qp,kq}
-
-	use qt5 && dobin src/xqp/xqp
-
-	into /usr/$(get_libdir)/${PN}
-	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
-
-	insinto /usr/$(get_libdir)/${PN}/bin
-	doins bin/rl_commands
-	doins bin/{qc1.qup,qecat,qg,qp}.qx
-
-	insinto /usr/$(get_libdir)/${PN}/library
-	doins prolog/library/*.qo
-
-	insinto /usr/$(get_libdir)/${PN}/compiler
-	doins prolog/compiler/*.qo
-
-	doman doc/man/man1/*.1
-
-	dodoc README
-
-	if use doc ; then
-		docinto reference-manual
-		dodoc doc/manual/*.html
-		docinto user-guide
-		dodoc doc/user/main.pdf
-	fi
-
-	if use examples ; then
-		docinto examples
-		newdoc examples/README README.examples
-		dodoc examples/*.ql
-	fi
-}

diff --git a/dev-lang/qu-prolog/qu-prolog-10.5.ebuild b/dev-lang/qu-prolog/qu-prolog-10.5.ebuild
deleted file mode 100644
index 36fdb457ce2..00000000000
--- a/dev-lang/qu-prolog/qu-prolog-10.5.ebuild
+++ /dev/null
@@ -1,100 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools eutils multilib qmake-utils
-
-MY_P=qp${PV}
-
-DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
-HOMEPAGE="http://www.itee.uq.edu.au/~pjr/HomePages/QuPrologHome.html"
-SRC_URI="http://www.itee.uq.edu.au/~pjr/HomePages/QPFiles/${MY_P}.tar.gz"
-
-LICENSE="Apache-2.0 GPL-2+"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
-IUSE="debug doc examples pedro qt5 readline threads"
-
-RDEPEND="
-	!dev-util/mpatch
-	!dev-util/rej
-	qt5? (
-		dev-qt/qtwidgets:5
-		dev-qt/qtgui:5
-	 )
-	pedro? ( net-misc/pedro )
-	readline? ( app-misc/rlwrap )"
-DEPEND="${RDEPEND}
-	dev-lang/perl"
-
-S="${WORKDIR}"/${MY_P}
-
-src_prepare() {
-	eapply "${FILESDIR}"/${PN}-10.x-qt5.patch
-	eapply "${FILESDIR}"/${PN}-10.5-gcc-version.patch
-	eapply_user
-
-	eautoconf
-}
-
-src_configure() {
-	econf \
-		--libdir=/usr/$(get_libdir) \
-		$(use_enable debug) \
-		$(use_enable threads multiple-threads)
-
-	if use qt5; then
-		cd "${S}"/src/xqp || die
-		eqmake5 xqp.pro
-	fi
-}
-
-src_compile() {
-	emake OPTIMISATION="${CXXFLAGS}"
-
-	if use qt5; then
-		cd "${S}"/src/xqp || die
-		emake
-	fi
-}
-
-src_install() {
-	sed \
-		-e "s|${S}|/usr/$(get_libdir)/qu-prolog|g" \
-		-i bin/qc bin/qc1.qup bin/qecat bin/qg bin/qp || die
-
-	dobin bin/{qc,qecat,qp,kq}
-
-	use qt5 && dobin src/xqp/xqp
-
-	into /usr/$(get_libdir)/${PN}
-	dobin bin/{qa,qc1.qup,qdeal,qem,qg,ql,qppp}
-
-	insinto /usr/$(get_libdir)/${PN}/bin
-	doins bin/rl_commands
-	doins bin/{qc1.qup,qecat,qg,qp}.qx
-
-	insinto /usr/$(get_libdir)/${PN}/library
-	doins prolog/library/*.qo
-
-	insinto /usr/$(get_libdir)/${PN}/compiler
-	doins prolog/compiler/*.qo
-
-	doman doc/man/man1/*.1
-
-	dodoc README
-
-	if use doc ; then
-		docinto reference-manual
-		dodoc doc/manual/*.html
-		docinto user-guide
-		dodoc doc/user/main.pdf
-	fi
-
-	if use examples ; then
-		docinto examples
-		newdoc examples/README README.examples
-		dodoc examples/*.ql
-	fi
-}


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2021-05-08 15:21 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2021-05-08 15:21 UTC (permalink / raw
  To: gentoo-commits

commit:     d73a44c85bb501dcf6d4058c74a7814a9011f4ef
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Sat May  8 15:19:41 2021 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Sat May  8 15:19:41 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d73a44c8

dev-lang/qu-prolog: fix python script shebangs. Closes 766066

Package-Manager: Portage-3.0.18, Repoman-3.0.2
Signed-off-by: Keri Harris <keri <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.6.ebuild | 6 +++++-
 1 file changed, 5 insertions(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
index 612cd9be187..85d6eac4863 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
@@ -3,7 +3,9 @@
 
 EAPI=7
 
-inherit autotools multilib qmake-utils
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit autotools multilib python-any-r1 qmake-utils
 
 MY_P=qp${PV}
 
@@ -35,6 +37,8 @@ src_prepare() {
 	eapply_user
 
 	eautoconf
+
+	python_fix_shebang "${S}"/bin/qc.in
 }
 
 src_configure() {


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2021-05-14  0:22 Sam James
  0 siblings, 0 replies; 33+ messages in thread
From: Sam James @ 2021-05-14  0:22 UTC (permalink / raw
  To: gentoo-commits

commit:     63bb1a5c4ded31e25fd105a5d525e4c8892fc575
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Fri May 14 00:18:34 2021 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Fri May 14 00:22:37 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63bb1a5c

dev-lang/qu-prolog: fix PythonMissingDeps

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.6.ebuild | 1 +
 1 file changed, 1 insertion(+)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
index 85d6eac4863..31053be8494 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
@@ -28,6 +28,7 @@ RDEPEND="
 	pedro? ( net-misc/pedro )
 	readline? ( app-misc/rlwrap )"
 DEPEND="${RDEPEND}
+	${PYTHON_DEPS}
 	dev-lang/perl"
 
 S="${WORKDIR}"/${MY_P}


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2022-05-21  6:03 Keri Harris
  0 siblings, 0 replies; 33+ messages in thread
From: Keri Harris @ 2022-05-21  6:03 UTC (permalink / raw
  To: gentoo-commits

commit:     3786c783256be0ed53f5a5f7c3749845805a8376
Author:     Keri Harris <keri <AT> gentoo <DOT> org>
AuthorDate: Sat May 21 06:02:43 2022 +0000
Commit:     Keri Harris <keri <AT> gentoo <DOT> org>
CommitDate: Sat May 21 06:02:43 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=3786c783

dev-lang/qu-prolog: support python 3.10 + 3.11

Closes: https://bugs.gentoo.org/845648
Package-Manager: Portage-3.0.30, Repoman-3.0.3
Signed-off-by: Keri Harris <keri <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.6.ebuild | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
index 2cbbe5135522..a805e8388a22 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.6.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2022 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI=7
 
-PYTHON_COMPAT=( python3_{6..9} )
+PYTHON_COMPAT=( python3_{6..11} )
 
 inherit autotools multilib python-any-r1 qmake-utils
 


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2024-07-29 10:51 Pacho Ramos
  0 siblings, 0 replies; 33+ messages in thread
From: Pacho Ramos @ 2024-07-29 10:51 UTC (permalink / raw
  To: gentoo-commits

commit:     f58d4d05adc0a59205c666427da0634961cdc1f6
Author:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 29 10:49:37 2024 +0000
Commit:     Pacho Ramos <pacho <AT> gentoo <DOT> org>
CommitDate: Mon Jul 29 10:49:40 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f58d4d05

dev-lang/qu-prolog: Support python 3.12

Closes: https://bugs.gentoo.org/929403
Signed-off-by: Pacho Ramos <pacho <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.7.ebuild | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.7.ebuild b/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
index 9a5c4599174f..bc555920919e 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=7
+EAPI=8
 
-PYTHON_COMPAT=( python3_{9..11} )
+PYTHON_COMPAT=( python3_{10..12} )
 
 inherit autotools python-any-r1 qmake-utils
 


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2024-08-07  2:17 Eli Schwartz
  0 siblings, 0 replies; 33+ messages in thread
From: Eli Schwartz @ 2024-08-07  2:17 UTC (permalink / raw
  To: gentoo-commits

commit:     6194f5483abd98ed4bccbda0d3accfbacfe8b0dd
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  7 02:06:26 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Wed Aug  7 02:17:17 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6194f548

dev-lang/qu-prolog: mark as LTO-unsafe, strict-aliasing unsafe

Closes: https://bugs.gentoo.org/924768
Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.7.ebuild | 9 ++++++++-
 1 file changed, 8 insertions(+), 1 deletion(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.7.ebuild b/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
index bc555920919e..c95725083732 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
@@ -5,7 +5,7 @@ EAPI=8
 
 PYTHON_COMPAT=( python3_{10..12} )
 
-inherit autotools python-any-r1 qmake-utils
+inherit autotools flag-o-matic python-any-r1 qmake-utils
 
 MY_P=qp${PV}
 
@@ -46,6 +46,13 @@ src_prepare() {
 }
 
 src_configure() {
+	# -Werror=strict-aliasing
+	# https://bugs.gentoo.org/924768
+	# Upstream's sole provided contact method is email. I have sent an email
+	# describing the issue. -- Eli
+	append-flags -fno-strict-aliasing
+	filter-lto
+
 	econf \
 		--libdir=/usr/$(get_libdir) \
 		$(use_enable debug) \


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2024-08-07  2:21 Eli Schwartz
  0 siblings, 0 replies; 33+ messages in thread
From: Eli Schwartz @ 2024-08-07  2:21 UTC (permalink / raw
  To: gentoo-commits

commit:     056e5de18e5d4d75cf33fc1713ba613095408140
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  7 02:19:29 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Wed Aug  7 02:19:29 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=056e5de1

dev-lang/qu-prolog: update HOMEPAGE, SRC_URI for https

Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.7.ebuild | 4 ++--
 dev-lang/qu-prolog/qu-prolog-10.8.ebuild | 4 ++--
 2 files changed, 4 insertions(+), 4 deletions(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.7.ebuild b/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
index c95725083732..47c16be66214 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
@@ -10,8 +10,8 @@ inherit autotools flag-o-matic python-any-r1 qmake-utils
 MY_P=qp${PV}
 
 DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
-HOMEPAGE="http://staff.itee.uq.edu.au/pjr/HomePages/QuPrologHome.html"
-SRC_URI="http://staff.itee.uq.edu.au/pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+HOMEPAGE="https://staff.itee.uq.edu.au/pjr/HomePages/QuPrologHome.html"
+SRC_URI="https://staff.itee.uq.edu.au/pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"

diff --git a/dev-lang/qu-prolog/qu-prolog-10.8.ebuild b/dev-lang/qu-prolog/qu-prolog-10.8.ebuild
index 137265e4db1f..e5026a4c28f3 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.8.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.8.ebuild
@@ -10,8 +10,8 @@ inherit autotools flag-o-matic python-any-r1 qmake-utils
 MY_P=qp${PV}
 
 DESCRIPTION="Extended Prolog supporting quantifiers, object-variables and substitutions"
-HOMEPAGE="http://staff.itee.uq.edu.au/pjr/HomePages/QuPrologHome.html"
-SRC_URI="http://staff.itee.uq.edu.au/pjr/HomePages/QPFiles/${MY_P}.tar.gz"
+HOMEPAGE="https://staff.itee.uq.edu.au/pjr/HomePages/QuPrologHome.html"
+SRC_URI="https://staff.itee.uq.edu.au/pjr/HomePages/QPFiles/${MY_P}.tar.gz"
 
 LICENSE="Apache-2.0 GPL-2+"
 SLOT="0"


^ permalink raw reply related	[flat|nested] 33+ messages in thread

* [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/
@ 2024-08-07  2:21 Eli Schwartz
  0 siblings, 0 replies; 33+ messages in thread
From: Eli Schwartz @ 2024-08-07  2:21 UTC (permalink / raw
  To: gentoo-commits

commit:     7b1b808e76ab14c5ec2d9a01addd8bf2431dccb6
Author:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
AuthorDate: Wed Aug  7 02:20:02 2024 +0000
Commit:     Eli Schwartz <eschwartz <AT> gentoo <DOT> org>
CommitDate: Wed Aug  7 02:20:52 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=7b1b808e

dev-lang/qu-prolog: update lto comment with more info

Because I got a very promising 6-minute response to my report.
email gang ++

Signed-off-by: Eli Schwartz <eschwartz <AT> gentoo.org>

 dev-lang/qu-prolog/qu-prolog-10.7.ebuild | 3 ++-
 dev-lang/qu-prolog/qu-prolog-10.8.ebuild | 3 ++-
 2 files changed, 4 insertions(+), 2 deletions(-)

diff --git a/dev-lang/qu-prolog/qu-prolog-10.7.ebuild b/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
index 47c16be66214..a9b27bccbba7 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.7.ebuild
@@ -49,7 +49,8 @@ src_configure() {
 	# -Werror=strict-aliasing
 	# https://bugs.gentoo.org/924768
 	# Upstream's sole provided contact method is email. I have sent an email
-	# describing the issue. -- Eli
+	# describing the issue with a fairly rapid response saying there will be
+	# a new release "shortly" and that hopefully it will include a fix. -- Eli
 	append-flags -fno-strict-aliasing
 	filter-lto
 

diff --git a/dev-lang/qu-prolog/qu-prolog-10.8.ebuild b/dev-lang/qu-prolog/qu-prolog-10.8.ebuild
index e5026a4c28f3..bb5358c114ed 100644
--- a/dev-lang/qu-prolog/qu-prolog-10.8.ebuild
+++ b/dev-lang/qu-prolog/qu-prolog-10.8.ebuild
@@ -48,7 +48,8 @@ src_configure() {
 	# -Werror=strict-aliasing
 	# https://bugs.gentoo.org/924768
 	# Upstream's sole provided contact method is email. I have sent an email
-	# describing the issue. -- Eli
+	# describing the issue with a fairly rapid response saying there will be
+	# a new release "shortly" and that hopefully it will include a fix. -- Eli
 	append-flags -fno-strict-aliasing
 	filter-lto
 


^ permalink raw reply related	[flat|nested] 33+ messages in thread

end of thread, other threads:[~2024-08-07  2:21 UTC | newest]

Thread overview: 33+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2017-08-01 16:39 [gentoo-commits] repo/gentoo:master commit in: dev-lang/qu-prolog/ Keri Harris
  -- strict thread matches above, loose matches on Subject: below --
2024-08-07  2:21 Eli Schwartz
2024-08-07  2:21 Eli Schwartz
2024-08-07  2:17 Eli Schwartz
2024-07-29 10:51 Pacho Ramos
2022-05-21  6:03 Keri Harris
2021-05-14  0:22 Sam James
2021-05-08 15:21 Keri Harris
2021-01-18 16:00 Keri Harris
2021-01-07 12:30 Sam James
2021-01-07  1:08 Sam James
2021-01-07  0:58 Sam James
2020-09-11 14:59 Keri Harris
2020-07-20 19:37 Keri Harris
2020-07-19  7:43 Agostino Sarubbo
2020-07-17 15:09 Agostino Sarubbo
2020-07-17  7:03 Keri Harris
2020-06-13 10:25 Keri Harris
2020-05-27 16:12 Keri Harris
2020-05-27 16:03 Keri Harris
2018-09-09  1:12 Thomas Deutschmann
2018-09-07 22:54 Sergei Trofimovich
2018-09-03  7:09 Keri Harris
2018-04-01 17:34 Andreas Sturmlechner
2018-04-01 13:47 Sergei Trofimovich
2018-02-21  3:01 Thomas Deutschmann
2018-02-20 14:09 Keri Harris
2017-09-23 14:32 Thomas Deutschmann
2017-09-23 12:35 Sergei Trofimovich
2017-09-22 14:32 Keri Harris
2016-10-03 11:50 Keri Harris
2016-02-15 18:05 Keri Harris
2016-02-14 11:04 Keri Harris

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox